Bug 139915 - FILEOPEN DOCX Two text boxes on two pages open on a single page
Summary: FILEOPEN DOCX Two text boxes on two pages open on a single page
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.2.0 target:7.1.5
Keywords: bibisected, bisected, implementationError
Depends on:
Blocks: WPS-Support
  Show dependency treegraph
 
Reported: 2021-01-25 23:46 UTC by Aron Budea
Modified: 2021-08-10 13:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample DOCX (17.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-01-25 23:46 UTC, Aron Budea
Details
PDF exported in Word (30.03 KB, application/pdf)
2021-01-25 23:47 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2021-01-25 23:46:37 UTC
Created attachment 169142 [details]
Sample DOCX

The attached DOCX document contains two text boxes, on two separate pages.
In Writer, they open on a single page, overlapping, and mispositioned.

Observed using LO 7.2.0.0.alpha0+ (4e1294b7d6f8de981147f15d4ca1b4e4853249eb) / Ubuntu.

Before the following commit in 7.1, bibisected using repo bibisect-linux-64-7.1, the text boxes were within the page area, so the placement was slightly better, but still on a single page.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b6850bbe95418ecfde404be1696548f18d200c9b
author		Attila Bakos <bakos.attilakaroly@nisz.hu>	2020-08-06 13:49:43 +0200
committer	László Németh <nemeth@numbertext.org>	2020-08-21 23:48:33 +0200

"tdf#106153 sw compatibility: fix textboxes exceeding the page"


Before the following change in 4.3 that enabled WPS support (bibisected using repo bibisect-43max), the text box placement was fine, on two pages. Thus we can conclude this is an implementation error concerning that feature.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=57450afb768c085df0ba2344aa94b5f843060178
author		Miklos Vajna <vmiklos@collabora.co.uk>	2013-12-03 11:59:42 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2013-12-03 15:39:04 +0100

"DOCX import: declare wps as a supported feature"


The following might be an interesting bit, as it corrected prior layout issues, where the document looked similar to the pre-7.1 layout, except the text boxes started in the margin, not at the start of page. Bibisected using repo bibisect-41max, builds in the range crash on start, but there is a likely candidate in the range.

https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=6b18d7d28efb0285f01e36f5b0cb2cddb1c68488..9cc1e7b165abe3f19c2919f8d9cf8efc3e8cf315
Likely commit:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=b399c1a38cf7217bf530af3a78e8472d97890ac8
author		Cédric Bosdonnat <cedric.bosdonnat@free.fr>	2013-04-29 15:41:37 +0200
committer	Cédric Bosdonnat <cedric.bosdonnat@free.fr>	2013-04-30 09:34:28 +0200

"n#592908: docx import, fixed handling of w10:wrap"
Comment 1 Aron Budea 2021-01-25 23:47:32 UTC
Created attachment 169143 [details]
PDF exported in Word
Comment 2 Commit Notification 2021-05-26 11:29:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2f21e4f357ec60450df84ddd858c3cf0a4711b02

tdf#139915 DOCX import: fix anchored obj position with to-char and TEXT_LINE

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2021-05-28 07:56:24 UTC
Verified in

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 187136265d26c014e842550c2f1fc5997736e4fa
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 4 Commit Notification 2021-05-28 07:57:10 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/8d7b4998c7443be91a09f46a3cb5e6fad9b035bd

tdf#139915 DOCX import: fix anchored obj position with to-char and TEXT_LINE

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.